Bug 551480 - [abrt] crash detected in zynjacku-5-3.fc12
Summary: [abrt] crash detected in zynjacku-5-3.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zynjacku
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:42c55ace
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-30 22:07 UTC by Manuel Chagas
Modified: 2010-02-09 05:07 UTC (History)
1 user (show)

Fixed In Version: 5-4.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 05:00:54 UTC


Attachments (Terms of Use)
File: backtrace (827 bytes, text/plain)
2009-12-30 22:07 UTC, Manuel Chagas
no flags Details

Description Manuel Chagas 2009-12-30 22:07:34 UTC
abrt 1.0.0 detected a crash.

backtrace
-----
Summary: TB42c55ace zynjacku.py:2435:rescan_plugins:ZeroDivisionError: float division

Traceback (most recent call last):
  File "/usr/bin/lv2rack", line 259, in on_effect_load
    self.plugins_load("LV2 effect plugins")
  File "/usr/bin/zynjacku.py", line 2526, in plugins_load
    self.rescan_plugins(plugin_repo_widget, progressbar, False)
  File "/usr/bin/zynjacku.py", line 2435, in rescan_plugins
    step = 1.0 / len(plugins)
ZeroDivisionError: float division

Local variables in innermost frame:
lv2sources: set([])
force: False
self: <__main__.lv2rack_multi instance at 0x88fcf2c>
progressbar: <gtk.ProgressBar object at 0x8603a7c (GtkProgressBar at 0x85d9108)>
plugins: set([])
store: <gtk.ListStore object at 0x8603af4 (GtkListStore at 0x8652e58)>
view: <gtk.TreeView object at 0x8603acc (GtkTreeView at 0x893c2d0)>

cmdline: python /usr/bin/lv2rack 
component: zynjacku
executable: /usr/bin/lv2rack
kernel: 2.6.31.9-174.fc12.i686
package: zynjacku-5-3.fc12
uuid: 42c55ace

Comment 1 Manuel Chagas 2009-12-30 22:07:37 UTC
Created attachment 381014 [details]
File: backtrace

Comment 2 Fedora Update System 2010-01-23 01:11:01 UTC
zynjacku-5-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/zynjacku-5-4.fc11

Comment 3 Fedora Update System 2010-01-23 01:11:22 UTC
zynjacku-5-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zynjacku-5-4.fc12

Comment 4 Orcan Ogetbil 2010-01-23 01:14:23 UTC
Thanks for the bug report. The above updates will hit the testing repos shortly. 

The crash occurs when there are no lv2 plugins installed in the system. You can find the available lv2 plugins by doing a 
   yum search lv2
in your terminal. The software does not experience this crash when there is at least one lv2 plugin installed. The above update fixes this problem. Feel free to test.

Comment 5 Fedora Update System 2010-01-26 00:51:57 UTC
zynjacku-5-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zynjacku'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0967

Comment 6 Fedora Update System 2010-01-26 01:00:39 UTC
zynjacku-5-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zynjacku'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1035

Comment 7 Fedora Update System 2010-02-09 05:00:48 UTC
zynjacku-5-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-02-09 05:07:40 UTC
zynjacku-5-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.